Bug 209460 - NullPointerException at com.mysql.jdbc.ConnectionImpl.registerStatement
NullPointerException at com.mysql.jdbc.ConnectionImpl.registerStatement
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Jaroslav Havlin
issues@db
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 11:50 UTC by schkovich
Modified: 2012-05-18 09:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.70 KB, text/plain)
2012-03-12 11:50 UTC, schkovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description schkovich 2012-03-12 11:50:50 UTC
Build: NetBeans IDE Dev (Build 201203110400)
VM: Java HotSpot(TM) 64-Bit Server VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

User Comments:
xpilot: Tried to connect to MySQL DB after dropping and re-creating schema in MySQL's console client

schkovich: closing connection to the database (jdbc mysql connector)




Stacktrace: 
java.lang.NullPointerException
   at com.mysql.jdbc.ConnectionImpl.registerStatement(ConnectionImpl.java:4450)
   at com.mysql.jdbc.StatementImpl.<init>(StatementImpl.java:336)
   at com.mysql.jdbc.ConnectionImpl.createStatement(ConnectionImpl.java:2485)
   at com.mysql.jdbc.ConnectionImpl.createStatement(ConnectionImpl.java:2465)
   at com.mysql.jdbc.ConnectionImpl.getMetadataSafeStatement(ConnectionImpl.java:3068)
   at com.mysql.jdbc.DatabaseMetaData.getColumns(DatabaseMetaData.java:2372)
Comment 1 schkovich 2012-03-12 11:50:53 UTC
Created attachment 116599 [details]
stacktrace
Comment 2 Jaroslav Havlin 2012-05-17 08:52:28 UTC
http://hg.netbeans.org/core-main/rev/2d79cb0eb2fc
Exceptions thrown in DatabaseMetaData methods handled as SQLExceptions.
Comment 3 Quality Engineering 2012-05-18 09:54:26 UTC
Integrated into 'main-golden', will be available in build *201205180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2d79cb0eb2fc
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #209460 - Handle undocumented exceptions in DatabaseMetadata methods


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo